org.apache.avro.compiler.schema

## Class Schemas

- java.lang.Object
- - org.apache.avro.compiler.schema.Schemas

-     public final class Schemas
      extends Object

  Avro Schema utilities, to traverse...

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copyAliases(Schema.Field from, Schema.Field to)`
    `static void` | `copyAliases(Schema from, Schema to)`
    `static void` | `copyLogicalTypes(Schema from, Schema to)`
    `static void` | `copyProperties(JsonProperties from, JsonProperties to)`
    `static String` | `getJavaClassName(Schema schema)`
    `static boolean` | `hasGeneratedJavaClass(Schema schema)`
    `static <T> T` | `visit(Schema start, SchemaVisitor<T> visitor)` depth first visit.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### copyAliases

          public static void copyAliases(Schema from,
                                         Schema to)

    - #### copyAliases

          public static void copyAliases(Schema.Field from,
                                         Schema.Field to)

    - #### copyLogicalTypes

          public static void copyLogicalTypes(Schema from,
                                              Schema to)

    - #### copyProperties

          public static void copyProperties(JsonProperties from,
                                            JsonProperties to)

    - #### hasGeneratedJavaClass

          public static boolean hasGeneratedJavaClass(Schema schema)

    - #### getJavaClassName

          public static String getJavaClassName(Schema schema)

    - #### visit

          public static <T> T visit(Schema start,
                                    SchemaVisitor<T> visitor)

      depth first visit.
      Parameters:
        `start` -
        `visitor` -

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.